Debian Bug report logs - #638805
openjdk-6-jdk: Compiler error message does not display entire file name and path

version graph

Package: openjdk-6-jdk; Maintainer for openjdk-6-jdk is OpenJDK Team <openjdk@lists.launchpad.net>; Source for openjdk-6-jdk is src:openjdk-6.

Reported by: Felipe Ignacio Canas Sabat <f.canas.s@gmail.com>

Date: Mon, 22 Aug 2011 01:09:01 UTC

Severity: minor

Tags: confirmed, upstream, wheezy

Found in version openjdk-6/6b23~pre7-1

Fixed in version openjdk-6/6b24-1.11.1-5

Done: Matthias Klose <doko@ubuntu.com>

Bug is archived. No further changes may be made.

Forwarded to http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=797

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, f.canas.s@gmail.com, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#638805; Package openjdk-6-jdk. (Mon, 22 Aug 2011 01:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felipe Ignacio Canas Sabat <f.canas.s@gmail.com>:
New Bug report received and forwarded. Copy sent to f.canas.s@gmail.com, OpenJDK Team <openjdk@lists.launchpad.net>. (Mon, 22 Aug 2011 01:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Felipe Ignacio Canas Sabat <f.canas.s@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: openjdk-6-jdk: Compiler error message does not display entire file name and path
Date: Sun, 21 Aug 2011 22:07:12 -0300
Package: openjdk-6-jdk
Version: 6b23~pre7-1
Severity: minor
Tags: wheezy

When there is a compilation error, the error message does not display the
entire filepath and filename. It only displays the filename without the path.
This causes problems using vim quickfix, because it tries to open a file in the
current directory, not where the file really is.

For example, when there is a compilation error, the error message is like this,

    $ javac src/Test.java
    Test.java:5: cannot find symbol
    symbol  : variable a
    location: class Test
            System.out.println(a);
                               ^
    1 error

When it previously was like this,

    $ javac src/Test.java src/Test.java:5: cannot find symbol
    symbol  : variable a
    location: class Test
            System.out.println(a);
                               ^
    1 error

This change was introduced somewhere between versions 6b18-1.8.7-2~squeeze1 and
6b23~pre7-1



-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages openjdk-6-jdk depends on:
ii  libc6                   2.13-16          Embedded GNU C Library: Shared lib
ii  libx11-6                2:1.4.4-1        X11 client-side library
ii  openjdk-6-jre           6b23~pre7-1      OpenJDK Java runtime, using Hotspo
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages openjdk-6-jdk recommends:
ii  libxt-dev                     1:1.1.1-2  X11 toolkit intrinsics library (de

Versions of packages openjdk-6-jdk suggests:
pn  openjdk-6-demo                <none>     (no description available)
pn  openjdk-6-source              <none>     (no description available)
pn  visualvm                      <none>     (no description available)

-- no debconf information




Added tag(s) upstream and confirmed. Request was from Damien Raude-Morvan <drazzib@debian.org> to control@bugs.debian.org. (Sat, 01 Oct 2011 11:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#638805; Package openjdk-6-jdk. (Sat, 01 Oct 2011 11:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Damien Raude-Morvan" <drazzib@debian.org>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Sat, 01 Oct 2011 11:24:05 GMT) Full text and rfc822 format available.

Message #12 received at 638805@bugs.debian.org (full text, mbox):

From: "Damien Raude-Morvan" <drazzib@debian.org>
To: Felipe Ignacio Canas Sabat <f.canas.s@gmail.com>
Cc: 638805@bugs.debian.org
Subject: Re: openjdk-6-jdk: Compiler error message does not display entire file name and path
Date: Sat, 1 Oct 2011 13:20:28 +0200
Hi Felipe,

Le lundi 22 août 2011 03:07:12, Felipe Ignacio Canas Sabat a écrit :
> Package: openjdk-6-jdk
> Version: 6b23~pre7-1
> Severity: minor
> Tags: wheezy
> 
> When there is a compilation error, the error message does not display the
> entire filepath and filename. It only displays the filename without the
> path. This causes problems using vim quickfix, because it tries to open a
> file in the current directory, not where the file really is.
> 
> For example, when there is a compilation error, the error message is like
> this,
> 
>     $ javac src/Test.java
>     Test.java:5: cannot find symbol
>     symbol  : variable a
>     location: class Test
>             System.out.println(a);
>                                ^
>     1 error
> 
> When it previously was like this,
> 
>     $ javac src/Test.java src/Test.java:5: cannot find symbol
>     symbol  : variable a
>     location: class Test
>             System.out.println(a);
>                                ^
>     1 error
> 
> This change was introduced somewhere between versions 6b18-1.8.7-2~squeeze1
> and 6b23~pre7-1

Yes, I can confirm this :

/usr/lib/jvm/java-6-openjdk/bin/java -version
java version "1.6.0_18"
OpenJDK Runtime Environment (IcedTea6 1.8.9) (6b18-1.8.9-0.1~squeeze1)
OpenJDK 64-Bit Server VM (build 14.0-b16, mixed mode)

/usr/lib/jvm/java-6-openjdk/bin/javac src/Test.java
src/Test.java:4: cannot find symbol
symbol  : variable a
location: class Test
System.out.println(a);

----------------

/usr/lib/jvm/java-6-openjdk-amd64/bin/java -version
java version "1.6.0_23"
OpenJDK Runtime Environment (IcedTea6 1.11pre) (6b23~pre10-1)
OpenJDK 64-Bit Server VM (build 20.0-b11, mixed mode)

/usr/lib/jvm/java-6-openjdk-amd64/bin/javac src/Test.java
Test.java:4: cannot find symbol
symbol  : variable a
location: class Test
System.out.println(a);

Cheers,
-- 
Damien - Debian Developper
http://wiki.debian.org/DamienRaudeMorvan




Set Bug forwarded-to-address to 'http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=797'. Request was from Damien Raude-Morvan <drazzib@debian.org> to control@bugs.debian.org. (Sat, 01 Oct 2011 11:45:26 GMT) Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@ubuntu.com>:
You have taken responsibility. (Sat, 14 Apr 2012 17:36:08 GMT) Full text and rfc822 format available.

Notification sent to Felipe Ignacio Canas Sabat <f.canas.s@gmail.com>:
Bug acknowledged by developer. (Sat, 14 Apr 2012 17:36:08 GMT) Full text and rfc822 format available.

Message #19 received at 638805-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@ubuntu.com>
To: 638805-close@bugs.debian.org
Subject: Bug#638805: fixed in openjdk-6 6b24-1.11.1-5
Date: Sat, 14 Apr 2012 17:33:07 +0000
Source: openjdk-6
Source-Version: 6b24-1.11.1-5

We believe that the bug you reported is fixed in the latest version of
openjdk-6, which is due to be installed in the Debian FTP archive:

icedtea-6-jre-cacao_6b24-1.11.1-5_amd64.deb
  to main/o/openjdk-6/icedtea-6-jre-cacao_6b24-1.11.1-5_amd64.deb
icedtea-6-jre-jamvm_6b24-1.11.1-5_amd64.deb
  to main/o/openjdk-6/icedtea-6-jre-jamvm_6b24-1.11.1-5_amd64.deb
openjdk-6-dbg_6b24-1.11.1-5_amd64.deb
  to main/o/openjdk-6/openjdk-6-dbg_6b24-1.11.1-5_amd64.deb
openjdk-6-demo_6b24-1.11.1-5_amd64.deb
  to main/o/openjdk-6/openjdk-6-demo_6b24-1.11.1-5_amd64.deb
openjdk-6-doc_6b24-1.11.1-5_all.deb
  to main/o/openjdk-6/openjdk-6-doc_6b24-1.11.1-5_all.deb
openjdk-6-jdk_6b24-1.11.1-5_amd64.deb
  to main/o/openjdk-6/openjdk-6-jdk_6b24-1.11.1-5_amd64.deb
openjdk-6-jre-headless_6b24-1.11.1-5_amd64.deb
  to main/o/openjdk-6/openjdk-6-jre-headless_6b24-1.11.1-5_amd64.deb
openjdk-6-jre-lib_6b24-1.11.1-5_all.deb
  to main/o/openjdk-6/openjdk-6-jre-lib_6b24-1.11.1-5_all.deb
openjdk-6-jre-zero_6b24-1.11.1-5_amd64.deb
  to main/o/openjdk-6/openjdk-6-jre-zero_6b24-1.11.1-5_amd64.deb
openjdk-6-jre_6b24-1.11.1-5_amd64.deb
  to main/o/openjdk-6/openjdk-6-jre_6b24-1.11.1-5_amd64.deb
openjdk-6-source_6b24-1.11.1-5_all.deb
  to main/o/openjdk-6/openjdk-6-source_6b24-1.11.1-5_all.deb
openjdk-6_6b24-1.11.1-5.diff.gz
  to main/o/openjdk-6/openjdk-6_6b24-1.11.1-5.diff.gz
openjdk-6_6b24-1.11.1-5.dsc
  to main/o/openjdk-6/openjdk-6_6b24-1.11.1-5.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 638805@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@ubuntu.com> (supplier of updated openjdk-6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 14 Apr 2012 12:41:01 +0200
Source: openjdk-6
Binary: openjdk-6-jdk openjdk-6-jre-headless openjdk-6-jre openjdk-6-jre-lib openjdk-6-demo openjdk-6-source openjdk-6-doc openjdk-6-dbg icedtea-6-jre-cacao icedtea-6-jre-jamvm openjdk-6-jre-zero
Architecture: source amd64 all
Version: 6b24-1.11.1-5
Distribution: unstable
Urgency: low
Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
Changed-By: Matthias Klose <doko@ubuntu.com>
Description: 
 icedtea-6-jre-cacao - Alternative JVM for OpenJDK, using Cacao
 icedtea-6-jre-jamvm - Alternative JVM for OpenJDK, using JamVM
 openjdk-6-dbg - Java runtime based on OpenJDK (debugging symbols)
 openjdk-6-demo - Java runtime based on OpenJDK (demos and examples)
 openjdk-6-doc - OpenJDK Development Kit (JDK) documentation
 openjdk-6-jdk - OpenJDK Development Kit (JDK)
 openjdk-6-jre - OpenJDK Java runtime, using ${vm:Name}
 openjdk-6-jre-headless - OpenJDK Java runtime, using ${vm:Name} (headless)
 openjdk-6-jre-lib - OpenJDK Java runtime (architecture independent libraries)
 openjdk-6-jre-zero - Alternative JVM for OpenJDK, using Zero/Shark
 openjdk-6-source - OpenJDK Development Kit (JDK) source files
Closes: 638805
Changes: 
 openjdk-6 (6b24-1.11.1-5) unstable; urgency=low
 .
   * Do not apply patches/revert-6885123.patch. Closes: #638805. LP: #981037.
Checksums-Sha1: 
 ca98d632d2dae33a49a7617a35008f9e72ea60f7 3035 openjdk-6_6b24-1.11.1-5.dsc
 ee0af3472ff2f600fa36be45816a5e792bb97486 162506 openjdk-6_6b24-1.11.1-5.diff.gz
 f1d799f9f2f5129e73188007f09996d737ce076a 11004762 openjdk-6-jdk_6b24-1.11.1-5_amd64.deb
 1376a85115e03b347fccad8f221930e32032be78 25365150 openjdk-6-jre-headless_6b24-1.11.1-5_amd64.deb
 e99570a4404b196580a099cbfec70a2ba7b94d8d 237446 openjdk-6-jre_6b24-1.11.1-5_amd64.deb
 f48cb71587b4a474d7e872d69877655ac41a6705 2312470 openjdk-6-demo_6b24-1.11.1-5_amd64.deb
 d760b832cd8e7ae8bb9db496e9d8fe5806a130ee 142176046 openjdk-6-dbg_6b24-1.11.1-5_amd64.deb
 54ecf76d433f9eb165d3fd695983d8ac56bd0bc9 444982 icedtea-6-jre-cacao_6b24-1.11.1-5_amd64.deb
 8c63bac3f0b4f54845958d7dc5c0b0265cd16eba 527220 icedtea-6-jre-jamvm_6b24-1.11.1-5_amd64.deb
 525519cfa4f15e083698b5488ae7c59a7bcd191c 2170492 openjdk-6-jre-zero_6b24-1.11.1-5_amd64.deb
 1dcf6296a83fd9abff36a377622e164c79beb85d 6132356 openjdk-6-jre-lib_6b24-1.11.1-5_all.deb
 9992adfab3e48cfb9d0e4cb7b69c69f864936d33 40879200 openjdk-6-source_6b24-1.11.1-5_all.deb
 b64b502bbad807b765ff64eb108ec53206302a45 20591518 openjdk-6-doc_6b24-1.11.1-5_all.deb
Checksums-Sha256: 
 1936c9764ea9aa215846b70e625f00839f33b645a0c673701f7ebf2a823a2fec 3035 openjdk-6_6b24-1.11.1-5.dsc
 aad8b3f4bcb7782fd6d39c5fa4157e3382fee028d9dfc0c206dc0708e04a081c 162506 openjdk-6_6b24-1.11.1-5.diff.gz
 b5fc8ea9773f6a0ec744919285a1f8556cd6872e419fa5e078ede28e2d7897ca 11004762 openjdk-6-jdk_6b24-1.11.1-5_amd64.deb
 077e926b1db9e12520223d4ec3c9ee09bbd166e7736f0b5e84e63de5198bd12a 25365150 openjdk-6-jre-headless_6b24-1.11.1-5_amd64.deb
 3bdcd6e3d3c181835f5344e46997aff188169854c58aed198308e2b460ee23ea 237446 openjdk-6-jre_6b24-1.11.1-5_amd64.deb
 df9d88296fbcb95e1c13f5eb355ce1d3599db7fa90a34e3d5444c5625d04c17a 2312470 openjdk-6-demo_6b24-1.11.1-5_amd64.deb
 ea40d39083ac1c929e57f2c41338329492b004bedd812fe1cdceaab409bc7760 142176046 openjdk-6-dbg_6b24-1.11.1-5_amd64.deb
 e87f7703cfe369854fa99b996f8f2c32f8f61114b128d96316341fa0de4eb142 444982 icedtea-6-jre-cacao_6b24-1.11.1-5_amd64.deb
 0a56fe51c419e5597276a1e87fe3921b88c2736cd7635b6d8ed27b0c39652e73 527220 icedtea-6-jre-jamvm_6b24-1.11.1-5_amd64.deb
 87a7f6c266ed8bcd41d8416a4dfd67f49e358f5701b14bc6ef79498043ea0775 2170492 openjdk-6-jre-zero_6b24-1.11.1-5_amd64.deb
 d2cd6d3671762fbaf588b1c9664d42a5215f89b3da8ed62a3b7ca9b66e20c265 6132356 openjdk-6-jre-lib_6b24-1.11.1-5_all.deb
 244171a7fc1f282d04083b8c1cce021109c342f059f87f57715634be457ac2b9 40879200 openjdk-6-source_6b24-1.11.1-5_all.deb
 22d71e8756fd46a7b87c55d3e920297c10a63638820eedb011f0e8286364319a 20591518 openjdk-6-doc_6b24-1.11.1-5_all.deb
Files: 
 f7e461e0815d067053f7fc92491bd375 3035 java optional openjdk-6_6b24-1.11.1-5.dsc
 97605b08565d981c32d2c749a74b46de 162506 java optional openjdk-6_6b24-1.11.1-5.diff.gz
 1e3cdbb8c90423992fbb72386c2afe12 11004762 java optional openjdk-6-jdk_6b24-1.11.1-5_amd64.deb
 26bb6df6d869a5af3ce8c87499a26a35 25365150 java optional openjdk-6-jre-headless_6b24-1.11.1-5_amd64.deb
 2f75849d3acff3744f624c5d09cfede4 237446 java optional openjdk-6-jre_6b24-1.11.1-5_amd64.deb
 acb6606f43cb5e0e334a9728599f192b 2312470 java extra openjdk-6-demo_6b24-1.11.1-5_amd64.deb
 02f951489901453d1f71f249fa4b5f4e 142176046 debug extra openjdk-6-dbg_6b24-1.11.1-5_amd64.deb
 a1820444c0f204aee96ed95086837c47 444982 java extra icedtea-6-jre-cacao_6b24-1.11.1-5_amd64.deb
 119bfbc0fb7a33c5343b64fac43711c5 527220 java extra icedtea-6-jre-jamvm_6b24-1.11.1-5_amd64.deb
 f61efa7e9341fccde27fd28ccf57feed 2170492 java extra openjdk-6-jre-zero_6b24-1.11.1-5_amd64.deb
 be2b15da0a66b23561e600b2bdfdfd94 6132356 java optional openjdk-6-jre-lib_6b24-1.11.1-5_all.deb
 c3f548c05f7d468e0930dee62d57582f 40879200 java extra openjdk-6-source_6b24-1.11.1-5_all.deb
 18799c0698c53546dbdf0fe4cc2ed62d 20591518 doc extra openjdk-6-doc_6b24-1.11.1-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk+Jp+MACgkQStlRaw+TLJwVwQCfYj4Bi8QPYlIm8pox/Cx+h/3a
leUAoI/4O1ng18L67L3zwfXu0oJs/J23
=pIre
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 09 Jun 2012 07:34:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:51:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.